# TSSolve

Steps the requested number of timesteps.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSolve(TS ts, Vec x)

Collective on TS

### Input Parameter

| ts | - the TS context obtained from TSCreate()
| x | - the solution vector, or PETSC_NULL if it was set with TSSetSolution()

### Keywords

TS, timestep, solve

### See Also

TSCreate(), TSSetSolution(), TSStep()

Level:beginner
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages